### Method

# Camel Service get_password

since: 3.4

#### Declaration [src]

    const gchar*
    camel_service_get_password (
      CamelService* service
    )

#### Description [src]

Returns the password for `service`. Some SASL mechanisms use this when attempting to authenticate.

Available since: 3.4

Gets property | `Camel.Service:password`

#### Return value

Type: `const gchar*`

The password for `service`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.